db_clause Struct Reference

`#include <db_clause.h>`

## Data Fields

db_clause_t * | next
char * | table
char * | field
db_clause_type_t | type
db_value_t | value
db_clause_operator_t | clause_operator
db_clause_list_t * | clause_list

## Detailed Description

A database clause, describes the comparison of a database object field and a value.

Definition at line 118 of file db_clause.h.

## Field Documentation

## clause_list

db_clause_list_t* db_clause::clause_list

Definition at line 125 of file db_clause.h.

## clause_operator

db_clause_operator_t db_clause::clause_operator

Definition at line 124 of file db_clause.h.

## field

char* db_clause::field

Definition at line 121 of file db_clause.h.

## next

db_clause_t* db_clause::next

Definition at line 119 of file db_clause.h.

Referenced by db_clause_next().

## table

char* db_clause::table

Definition at line 120 of file db_clause.h.

## type

db_clause_type_t db_clause::type

Definition at line 122 of file db_clause.h.

## value

db_value_t db_clause::value

Definition at line 123 of file db_clause.h.

The documentation for this struct was generated from the following file:

- src/db/db_clause.h